Download Sn0wbreeze 2.3 to jailbreak iOS 4.3

sn0wbreeze 2.3iH8sn0w has just released Sn0wbrooze 2.3, a jailbreak tool that is compatible with iOS 4.3 on the iPhone, iPad and iPod Touch. Sn0wbreeaze 2.3 will let you jailbreak iOS 4.3 on a Windows machine, and it is a tethered jailbreak. You have to use the inbuilt tool iBooty to boot the device to tethered jailbreak mode  after the jailbreak. All those who just need a iOS 4.3 jailbreak can now download Sn0wbreeze 2.3 and create a custom IPSW file to jailbreak their idevices.

Sn0wbreeze 2.3:

 

Sn0wbreeze 2.3 interface

Sn0wbreeze 2.3

 

Currently there is a tedious method to jailbreak iOS 4.3 on Mac OS with PwnageTool bundles. The jailbreak method with Sn0wbreeze 2.3 is simple and self explanatory. You need to download original iOS 4.3 IPSW file for your iPhone, iPod Touch or iPad. Then execute Snowbreeze 2.3 and create a custom firmware file using on screen instructions. Restore the resulting iOS 4.3 IPSW file to your idevice using iTunes. After restore, you have to use iBooty( will be present in your desktop after jailbreak) to boot your device into the tethered  jailbreak mode.

Download Sn0wbreeze 2.3 here.

This is the initial( beta 1) version of Snowbreeze 2.3. The Mobile Substrate addon in Cydia doesn’t work with  Sn0wbreeze 2.3b1 and therefore, it may not be possible to run winterboard themes and some other related third party applications that interfere with Springboard. Ultrasn0w is currently not working in iOS 4.3 so those who rely on a carrier unlock should stay away from using Snowbreeze 2.3b1.

Update: Snowbreeze 2.3 b4 has been released (download here). This version supports Ultrasn0w 1.2 unlock on iOS 4.3 for selected basebands.

This entry was posted in Uncategorized by . Bookmark the permalink.

2 thoughts on “Download Sn0wbreeze 2.3 to jailbreak iOS 4.3

  1. 4.3.1 should be released very soon so i0n1c’s jailbreak should be released soon.I never got any of the snowbreeze jailbreaks to work.

  2. Just you know, couldn’t Jailbreak a 3G to 4.2.1 with this version. Sn0wbreeze just would not validate the IPSW file. Went back to version 2.22 and all was fine again.

Leave a Reply

Your email address will not be published. Required fields are marked *